# class ActiveRecord::StaleObjectError

Raised on attempt to save stale record. Record is stale when it's being saved in another query after instantiation, for example, when two users edit the same wiki page and one starts editing and saves the page before the other.

Read more about optimistic locking in ActiveRecord::Locking module documentation.

### Attributes

attempted_action[R]
record[R]

### Public Class Methods

new(record = nil, attempted_action = nil) click to toggle source
Calls superclass method

    # File lib/active_record/errors.rb, line 184
    def initialize(record = nil, attempted_action = nil)
      if record && attempted_action
        @record = record
        @attempted_action = attempted_action
        super("Attempted to #{attempted_action} a stale object: #{record.class.name}.")
      else
        super("Stale object error.")
      end
    end